Subject: bug#30823: 25.3; modification-hooks of overlays are not run in some cases

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 Aug 2018 23:48:02 -0400

> Can we turn the table and ask whether it makes sense to delete an
> overlay from the modification hooks of that same overlay?

Yes, it very much does make sense: e.g. you want to keep track of
a "region unmodified" status, so you place an overlay over that region
with a modification hook that sets a variable to nil to indicate that
the region was modified, and once that is done there's no point in
keeping the overlay any more so you can delete it immediately from that
modification-hook.

        Stefan